'use strict';

var path = require('path');
var yargs = require('yargs');
var util = require('./util');
var fs = require('fs');

util.addCommands(yargs, path.resolve(__dirname, 'commands'));

var websakCommandsPath = path.resolve(process.cwd(), 'node_modules/websak/lib/commands');
try {
  fs.accessSync(websakCommandsPath);
  util.addCommands(yargs, websakCommandsPath);
} catch (e) {}

yargs.demand(1).version().help().argv;